gr::satellites::nusat_decoder Class Reference

<+description of block+> More...

`#include <nusat_decoder.h>`

Inheritance diagram for gr::satellites::nusat_decoder:

## Public Types

typedef std::shared_ptr< nusat_decoder > | sptr

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of satellites::nusat_decoder.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<nusat_decoder> gr::satellites::nusat_decoder::sptr

## Member Function Documentation

## make()

sptr gr::satellites::nusat_decoder::make | ( |  | ) |

static

Return a shared_ptr to a new instance of satellites::nusat_decoder.

To avoid accidental use of raw pointers, satellites::nusat_decoder's constructor is in a private implementation class. satellites::nusat_decoder::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- nusat_decoder.h